#!/bin/bash
VER=0.1.3a
VERL=${VER//./}
sed -i "s/^\(MENU TITLE UBCD Live V\)[0-9].[0-9].[0-9][a-b]*/\1$VER/" config/includes.binary/isolinux/defaults.cfg
sed -i "s/^\(LB_ISO_VOLUME=\"UBCDLIVE\)[0-9][0-9][0-9][a-b]*/\1$VERL/" config/binary
lb clean
lb config \
	--apt-http-proxy http://localhost:3142 \
	--architectures i386 \
	--linux-flavours 486 \
	--distribution testing \
	--parent-distribution testing \
	--archive-areas "main contrib non-free" \
	--parent-archive-areas "main contrib non-free" \
	--mirror-bootstrap http://cdn.debian.net/debian/ \
	--mirror-chroot http://cdn.debian.net/debian/ \
	--mirror-chroot-security http://security.debian.org/ \
	--parent-mirror-bootstrap http://cdn.debian.net/debian/ \
	--parent-mirror-chroot http://cdn.debian.net/debian/ \
	--parent-mirror-chroot-security http://security.debian.org/ \
	--mirror-binary http://cdn.debian.net/debian/ \
	--mirror-binary-security http://security.debian.org/ \
	--cache true \
	--cache-indices true \
	--cache-packages true \
	--cache-stages true \
        --apt-indices false \
        --apt-recommends false \
        --apt-options "--force-yes --yes -oAcquire::Check-Valid-Until=false" \
	--debootstrap-options "--variant=minbase" \
	--firmware-binary false \
        --firmware-chroot false \
	--debian-installer false \
	--debian-installer-gui false \
	--bootappend-live "boot=live config username=root vga=normal" \
	--bootappend-live-failsafe "boot=live config username=root memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash vga=normal" \
        --memtest none
rm -f config/package-lists/*
echo "user-setup sudo apt-utils" > config/package-lists/recommends.list.chroot
echo "less nano joe ftp wget bzip2 xz-utils" > config/package-lists/utils.list.chroot
echo "libgtk-3.0 libnotify-bin" > config/package-lists/xfprot.list.chroot
echo "smartmontools lxrandr" > config/package-lists/hardware.list.chroot
echo "ethtool net-tools dnsutils wicd" > config/package-lists/network.list.chroot
echo "linux-wlan-ng-firmware linux-wlan-ng firmware-atheros firmware-bnx2 firmware-bnx2x" > config/package-lists/wifi.list.chroot
echo "firmware-brcm80211 firmware-intelwimax firmware-iwlwifi firmware-libertas" >> config/package-lists/wifi.list.chroot
echo "firmware-myricom firmware-netxen firmware-qlogic firmware-ralink firmware-realtek" >> config/package-lists/wifi.list.chroot
echo "firmware-ti-connectivity" >> config/package-lists/wifi.list.chroot
echo "xserver-xorg xserver-xorg-core x11-xserver-utils xinit menu menu-xdg unifont" > config/package-lists/xserver.list.chroot
echo "icewm" > config/package-lists/icewm.list.chroot
echo "lxterminal leafpad gpicview hardinfo" > config/package-lists/desktop.list.chroot
#echo "netsurf ca-certificates" > config/package-lists/netsurf.list.chroot
echo "spacefm udevil xarchiver hicolor-icon-theme" > config/package-lists/spacefm.list.chroot
echo "gparted ntfs-3g dosfstools mtools btrfs-tools f2fs-tools hfsutils hfsprogs" > config/package-lists/gparted.list.chroot
echo "jfsutils lvm2 nilfs-tools reiser4progs reiserfsprogs xfsprogs xfsdump" >> config/package-lists/gparted.list.chroot
echo "testdisk" > config/package-lists/testdisk.list.chroot
echo "clamtk" > config/package-lists/clamtk.list.chroot
echo "clonezilla dialog bc parted partclone" > config/package-lists/clonezilla.list.chroot
export MKSQUASHFS_OPTIONS="-b 1M -comp xz -Xbcj x86 -e boot -always-use-fragments"
rm -f build.log
time lb build --debug 2>&1 | tee build.log
mv binary.hybrid.iso ubcdlive$VERL.iso
mv chroot.packages.live ubcdlive$VERL.lst
